<div class="main-content">

    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title">Envoyer une récalamtion</h4>
                    </div>
                    <div class="card-body">
                        <form [formGroup]="form">

                            <div class="select1">
                                <label class="labelll"> Priorité</label> <br/>
                                <select  class="select" formControlName="priorite">
                                    <option [disabled]="true"> choisi une priorité</option>
                                    <option>haut</option>
                                    <option> bas</option>
                                    <option> moyenne</option>
                                </select>
                                <span *ngIf="isValid('priorite')"> Champ priorité manquant</span>
                            </div>

                            <div class="select2">
                                <label class="labelll"> Emplacement</label> &nbsp;<br/>
                                <select class="select" formControlName="empId">
                                    <option [disabled]="true"> choisi emplacement</option>
                                    <option *ngFor="let c of emplacementId" [value]="c.id">
                                        {{c.libelle_emplacement}}
                                    </option>
                                </select>
                                <span *ngIf="isValid('empId')"> Champ emplacement manquant</span>
                            </div>
                            <div class="selectt">
                                <label class="labelll"> Pannes </label> &nbsp;
                                <ng-select class="select" formControlName="PanneId" [closeOnSelect]="false"
                                           appendTo="body" multiple="true" [searchable]="true" [clearable]="true">
                                    <ng-option [disabled]="true"> choisi pannes</ng-option>
                                    <ng-option *ngFor="let p of panneId" [value]="p.id">
                                        {{p.libelle_panne}}
                                    </ng-option>
                                </ng-select>
                                <span *ngIf="isValid('PanneId')"> Champ panne manquant</span>
                            </div><br/><br/>
                            <div class="row">

                                <div class="col-md-6">
                                    <label class="labelll"> Observation </label> <br/>
                                    <mat-form-field class="example-full-width">
                                        <textarea class="textarea" matInput cols="50" rows="8" formControlName="observation"></textarea>
                                    </mat-form-field>
                                    <span *ngIf="isValid('observation')"> Champ observation manquant</span>
                                </div>
                            </div>
                            <button mat-raised-button type="reset" class="btn btn-danger pull-right" (click)="reset()">
                                Annuler
                            </button>
                            <button mat-raised-button type="submit" class="btn btn-success pull-right"
                                    [disabled]="form.invalid" (click)="addReclamation()">Envoyer
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
